using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class ShippersAccess  : Daolite.BusinessAccess
	{

		public  ShippersAccess() : base("Shippers", NwindConfiger.GetConfiger())
		{
		}


		public Shippers[] Query()
		{
			return base.Query<Shippers>();
		}


		public Shippers[] QueryRelated()
		{
			return base.QueryRelated<Shippers>();
		}


		public Shippers QueryOne(long ShipperID, bool isRelated)
		{
			return base.QueryOne<Shippers>(new Daolite.DataStruct.KeyPairs()
			.Add("ShipperID", ShipperID)
			, isRelated);
		}


	}
}
